package com.ynet.life.sujrb.action;

import com.ynet.gene.core.Context;
import com.ynet.gene.core.GENEException;
import com.ynet.gene.data.IndexedCollection;
import com.ynet.gene.data.KeyedCollection;
import com.ynet.life.action.LifeJDBCAction;
import java.text.ParseException;
import java.text.SimpleDateFormat;
import java.util.Calendar;
import java.util.Date;

/* loaded from: com_ynet_life_sujrb_action.jar:com/ynet/life/sujrb/action/GetHolidayTransferKindAction.class */
public class GetHolidayTransferKindAction extends LifeJDBCAction {
    private String fieldDate;
    private String fieldStatus;
    private String iCollName;

    public String execute(Context context) throws GENEException {
        String str = (String) context.get(this.fieldDate);
        String status = (String) context.get(this.fieldStatus);
        IndexedCollection indexedCollection = (IndexedCollection) context.get(this.iCollName);
        IndexedCollection kindIcoll = indexedCollection;
        if (indexedCollection == null) {
            kindIcoll = new IndexedCollection(this.iCollName);
        }
        if ("0".equals(status)) {
            KeyedCollection kcoll = new KeyedCollection();
            KeyedCollection kcoll2 = new KeyedCollection();
            kcoll.addDataField("status", "2");
            kcoll2.addDataField("status", "3");
            kindIcoll.addDataElement(kcoll);
            kindIcoll.addDataElement(kcoll2);
            return "1";
        }
        if ("1".equals(status)) {
            if (validWorkDay(str).booleanValue()) {
                KeyedCollection kcoll3 = new KeyedCollection();
                KeyedCollection kcoll22 = new KeyedCollection();
                kcoll3.addDataField("status", "2");
                kcoll22.addDataField("status", "3");
                kindIcoll.addDataElement(kcoll3);
                kindIcoll.addDataElement(kcoll22);
                return "1";
            }
            return "1";
        }
        if (validWeekAndWorkDay(str).booleanValue()) {
            KeyedCollection kcoll4 = new KeyedCollection();
            KeyedCollection kcoll23 = new KeyedCollection();
            kcoll4.addDataField("status", "2");
            kcoll23.addDataField("status", "3");
            kindIcoll.addDataElement(kcoll4);
            kindIcoll.addDataElement(kcoll23);
            return "1";
        }
        return "1";
    }

    /* JADX WARN: Multi-variable type inference failed */
    /* JADX WARN: Type inference failed for: r0v15, types: [java.util.Date] */
    /* JADX WARN: Type inference failed for: r0v4 */
    /* JADX WARN: Type inference failed for: r0v5, types: [java.text.ParseException] */
    public Boolean validWorkDay(String queryDate) {
        Date date = Calendar.getInstance().getTime();
        SimpleDateFormat sdf = new SimpleDateFormat("yyyyMMdd HH:mm:ss");
        Date beginDate = null;
        ?? r0 = 0;
        Date endDate = null;
        try {
            beginDate = sdf.parse(String.valueOf(queryDate) + " 08:30:00");
            r0 = sdf.parse(String.valueOf(queryDate) + " 16:30:00");
            endDate = r0;
        } catch (ParseException e) {
            r0.printStackTrace();
        }
        if (date.before(beginDate) || date.after(endDate)) {
            return Boolean.TRUE;
        }
        return Boolean.FALSE;
    }

    /* JADX WARN: Multi-variable type inference failed */
    /* JADX WARN: Type inference failed for: r0v20, types: [java.util.Date] */
    /* JADX WARN: Type inference failed for: r0v4 */
    /* JADX WARN: Type inference failed for: r0v5, types: [java.text.ParseException] */
    public Boolean validWeekAndWorkDay(String queryDate) {
        Calendar cal = Calendar.getInstance();
        Date date = cal.getTime();
        SimpleDateFormat sdf = new SimpleDateFormat("yyyyMMdd HH:mm:ss");
        Date beginDate = null;
        ?? r0 = 0;
        Date endDate = null;
        try {
            beginDate = sdf.parse(String.valueOf(queryDate) + " 08:30:00");
            r0 = sdf.parse(String.valueOf(queryDate) + " 16:30:00");
            endDate = r0;
        } catch (ParseException e) {
            r0.printStackTrace();
        }
        int week = cal.get(7) - 1;
        if (week == 0 || week == 6) {
            return Boolean.TRUE;
        }
        if (date.before(beginDate) || date.after(endDate)) {
            return Boolean.TRUE;
        }
        return Boolean.FALSE;
    }

    public String getFieldDate() {
        return this.fieldDate;
    }

    public void setFieldDate(String fieldDate) {
        this.fieldDate = fieldDate;
    }

    public String getFieldStatus() {
        return this.fieldStatus;
    }

    public void setFieldStatus(String fieldStatus) {
        this.fieldStatus = fieldStatus;
    }

    public String getICollName() {
        return this.iCollName;
    }

    public void setICollName(String iCollName) {
        this.iCollName = iCollName;
    }
}
